tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig R. McClanahan" <craig...@apache.org>
Subject RE: JSP's and J2SDK1.4 assert statement
Date Fri, 25 Oct 2002 19:20:40 GMT


On Fri, 25 Oct 2002, Oliver Jonas wrote:

> Date: Fri, 25 Oct 2002 19:28:34 +0200
> From: Oliver Jonas <oliver@dialogue.co.uk>
> To: Tomcat Users List <tomcat-user@jakarta.apache.org>
> Cc: craigmcc@apache.org
> Subject: RE: JSP's and J2SDK1.4 assert statement
>
> Hi Craig,
>
> I also tried CATALINA_OPTS... same thing happens. Thinking about it "-source
> 1.4" isn't actually a valid option for "java", only for "javac". (Maybe
> that's why it fails because it starts fine if I only put "-enableassertions"
> in JAVA_OPTS.
>
> So I guess I need to tell Jasper to use the option "-source 1.4".
>
>
> Any ideas how to?
>

Nope ... you'd have to modify Jasper sources to do this.

> Thanks,
> Oliver.
>
> PS: Using JSP's only for HTML presentation... but would still like to have
> asserts to make sure values returned by the underlying Java API are valid.
>

Good.


--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message